Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Conversations

Manage conversations and conversation items.

Create a conversation
POST
/conversations
Delete a conversation
DELETE
/conversations/{conversation_id}
Retrieve a conversation
GET
/conversations/{conversation_id}
Update a conversation
POST
/conversations/{conversation_id}
Models
ComputerScreenshotContent object { detail, file_id, image_url, 2 more }

A screenshot of a computer.

Conversation object { id, created_at, metadata, object }
ConversationDeleted object { id, deleted, object }
id: string
deleted: boolean
object: "conversation.deleted" (default: "conversation.deleted")
ConversationDeletedResource object { id, deleted, object }
id: string
deleted: boolean
object: "conversation.deleted" (default: "conversation.deleted")
Message object { id, content, role, 3 more }

A message to or from the model.

SummaryTextContent object { text, type }

A summary text from the model.

text: string

A summary of the reasoning output from the model so far.

type: "summary_text" (default: "summary_text")

The type of the object. Always summary_text.

TextContent object { text, type }

A text content.

text: string
type: "text" (default: "text")

ConversationsItems

Manage conversations and conversation items.

Create items
POST
/conversations/{conversation_id}/items
Delete an item
DELETE
/conversations/{conversation_id}/items/{item_id}
List items
GET
/conversations/{conversation_id}/items
Retrieve an item
GET
/conversations/{conversation_id}/items/{item_id}
Models
ConversationItem = Message { id, content, role, 3 more } or FunctionCall { id, arguments, call_id, 7 more } or FunctionCallOutput { id, output, status, 6 more } or 26 more

A single item within a conversation. The set of possible types are the same as the output type of a Response object.

ConversationItemList object { data, first_id, has_more, 2 more }

A list of Conversation items.